---
title: Commerce
permalink: Commerce
---

[![The settings added to the Collection Settings screen by the Commerce
component.][img-1]][img-1]

The **Commerce** component adds PayPal-based print selling and donation
features.

## Settings

Commerce settings allow you to setup donation and print selling features.

### Business Email

The PayPal account transactions will go to.

### Currency

The currency transactions will use.

### Donation

The amount users must donate using the Webcomic donation button. A zero
Donation allows users to specify their own donation amount.

### Prints

These settings control the types of prints available for sale and how those
prints are sold.

Prints are normally sold using a Buy Now link that allows users to complete
their purchase right away, but **Use a shopping cart for print sales** changes
Buy Now links into Add to Cart links. This makes it easier for users to buy
more than one print at a time, but also requires more steps to complete a
purchase.

The **prints table** defines the types of comic prints available for purchase.
Each type requires a descriptive Name, a unique Slug, and a Price of at least 1.
The price should account for any taxes and shipping, unless you plan to
setup extra selling options in your PayPal account.

**Stock** is optional; any Stock greater than 0 causes that number of the print
type to be available for a given comic. For example, if you choose to sell an
original one-of-a-kind print of each comic, you could create a print type
called Original with a Stock of 1. Once one Original print has sold for a
comic, that print type would no longer be available for that comic.

The checkbox by each print determines which prints are available by default on
new comics. The print type settings affect all comics, but you can adjust the
availability and price of each type on a per-comic basis.

## Managing prints

[![The Add New Comic screen, with Webcomic Prints box enabled.][img-2]][img-2]

Once you've added some prints types on the collection settings screen, head to
the Add/Edit Comic screen; you should notice a new **Webcomic Prints** box.

This box shows you the print types table for this comic, allowing you to see
what types of prints are available, how much those prints cost, and the number
sold for each type.

From here, you can enable or disable print types for your comic (by checking or
unchecking the print type) and adjust it's price by setting a percentage
adjustment. The price preview will update as you change the print type
adjustment; don't forget to save your comic to save the adjustment changes.

The Sold / Stock column displays the number of prints sold followed by the
available stock of that type (or ∞ if the print type has no stock limit). You
can't enable a print type if it has sold out of it's available stock.

## Selling prints

To sell prints, you'll need to add print selling links to your site. There are a
variety of ways to do this, but the easiest is with [Commerce widgets][url-1].

### IPN logs

The **Webcomic IPN Log** – found in the Tools menu – displays PayPal Instant
Payment Notifications (IPN's) logged by Webcomic:

- **Transaction** — The transaction ID provided by PayPal.
- **Item** — The item ID generated by Webcomic and sent to PayPal. Donations use
  the collection ID as their item ID, while prints use the post ID followed by
  the print type slug.
- **Message** — The IPN message generated by Webcomic.
- **Date** — The date and time the transaction took place.

Webcomic logs this data for informational purposes; similar information should
be available in your PayPal account. Click Empty IPN Log to permanently delete
all IPN's Webcomic has logged to date.

[img-1]: srv/Commerce.png
[img-2]: srv/Commerce-Box.png
[url-1]: Widgets#commerce-widgets
