<?php
/**
 * Comic IPN logger help
 *
 * @package Webcomic
 */

namespace Mgsisk\Webcomic\Commerce;

?>

<p><?php esc_html_e( "This tool displays PayPal Instant Payment Notifications (IPN's) logged by Webcomic:", 'webcomic' ); ?></p>
<ul>
	<li>
		<b><?php esc_html_e( 'Transaction', 'webcomic' ); ?></b>
		<?php esc_html_e( ' &mdash; The transaction ID provided by PayPal.', 'webcomic' ); ?>
	</li>
	<li>
		<b><?php esc_html_e( 'Item', 'webcomic' ); ?></b>
		<?php esc_html_e( ' &mdash; The item ID generated by Webcomic and sent to PayPal. Donations use the collection ID as their item ID, while prints use the post ID followed by the print type slug.', 'webcomic' ); ?>
	</li>
	<li>
		<b><?php esc_html_e( 'Message', 'webcomic' ); ?></b>
		<?php esc_html_e( ' &mdash; The IPN message generated by Webcomic.', 'webcomic' ); ?>
	</li>
	<li>
		<b><?php esc_html_e( 'Date', 'webcomic' ); ?></b>
		<?php esc_html_e( ' &mdash; The date and time the transaction took place.', 'webcomic' ); ?>
	</li>
</ul>
<p><?php esc_html_e( "Webcomic logs this data for informational purposes; similar information should be available in your PayPal account. Click Empty IPN Log to permanently delete all IPN's Webcomic has logged to date.", 'webcomic' ); ?></p>
